List all customers

Returns a list of your customers. The customers are returned sorted by creation date by default, with the most recent customers appearing first.

Query Params
int32

Applies a minimum epoch timestamp (ms) filter to the response created_at.

int32

Applies a maximum epoch timestamp (ms) filter to the response created_at.

int32

Applies a minimum epoch timestamp (ms) filter to the response updated_at.

int32

Applies a maximum epoch timestamp (ms) filter to the response updated_at.

string

Will filter for partnerships who are in a group with the specified name. Name must have spaces and special characters removed.

string

Will filter to a specific partnership's partner_key, which can be found using the partnership's get endpoint or from the partnership view in your PartnerStack dashboard.

integer
1 to 250
Defaults to 10

A limit on the number of items to be returned. Limits can range between 1 and 250, and the default is 10.

string

A cursor for use in pagination, starting_after takes in an item key and the subsequent call will return the following items in the list. This is mutually exclusive with ending_before.

string

A cursor for use in pagination, ending_before takes in an item key and the subsequent call will return the prior items in the list. This is mutually exclusive with starting_after.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json